Subject: Re: bug#73302: TeX-find-closing-brace and verbatim macros

From: Ikumi Keita <[email-masked]>
Date: Thu, 19 Sep 2024 23:47:10 +0900

Hi Paul,

>>>>> Paul Nelson <[email-masked]> writes:
> I took another look just now, and the fix to allow string specs was
> simpler than I had thought.  The attached patch suffices for my
> practical purposes, but I'll confess that I don't know all the ways
> verbatim arguments can appear in macros.

TeX-fold-mode is supposed to run in none-LaTeX-mode buffers, so
`LaTeX-verbatim-p' should be wrapped with some conditional using
`derived-mode-p'. Can you work on it?

(Actually, AUCTeX has generic function `TeX-verbatim-p', but only LaTeX
mode has meaningful implementation for it.)

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW